Package org.apache.qpid.proton.engine.impl

# Class CollectorImpl

java.lang.Object
org.apache.qpid.proton.engine.impl.CollectorImpl

All Implemented Interfaces:
  `Collector`

public class CollectorImpl extends Object implements Collector
CollectorImpl

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.engine.Collector

`Collector.Factory`

## Constructor Summary

Constructors
Constructor
Description
`CollectorImpl()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`more()`
`Event`
`peek()`
`void`
`pop()`
`org.apache.qpid.proton.engine.impl.EventImpl`
`put(EventType type, Object context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CollectorImpl

public CollectorImpl()

## Method Details

### peek

public Event peek()

Specified by:
  `peek` in interface `Collector`

### pop

public void pop()

Specified by:
  `pop` in interface `Collector`

### put

public org.apache.qpid.proton.engine.impl.EventImpl put(EventType type, Object context)

### more

public boolean more()

Specified by:
  `more` in interface `Collector`